#pragma once

#include <fstream>
#include <string>
#include <vector>

#include <SimoxUtility/json.h>

#include <RobotAPI/libraries/PriorKnowledge/util/LocationLoader/datatypes/Location.h>

namespace armarx::priorknowledge::util
{
    class LocationLoader
    {
    public:
        static const constexpr auto DEFAULT_FILE_NAME = "locations.json";

        LocationLoader() = delete;

        static std::vector<Location> LoadLocations(const std::string& dataset,
                                                   const nlohmann::json&);
    };
} // namespace armarx::priorknowledge::util
