#pragma once

#include <string>

#include <RobotAPI/libraries/core/FramedPose.h>

namespace armarx::priorknowledge::util
{
    struct LocationId
    {
        std::string sourceId;
        std::string prefix;
        std::string name;

        std::string toString() const;
        std::string toStringWithoutSourceId() const;
    };

    struct Location
    {
        LocationId id;
        armarx::FramedPose pose;
    };
} // namespace armarx::priorknowledge::util
